package cn.com.ty.lift.common.utils;

import com.tencent.xinge.XingeApp;
import com.tencent.xinge.bean.AudienceType;
import com.tencent.xinge.bean.Message;
import com.tencent.xinge.bean.MessageType;
import com.tencent.xinge.bean.Platform;
import com.tencent.xinge.push.app.PushAppRequest;

import java.util.ArrayList;

/**
 * @author wcz
 * @date 2019/12/17
 * @description 腾讯信鸽推动 https://xg.qq.com/docs/server_api/v3/push_api_v3.html
 */
public class XingePush {

    private static final String appId = "40d4e2e854433";
    private static final String secretKey = "fa99dc19157b00fc71cf8d7e840273a3";

    private static final String token = "ROysXgvKpZnC2ratqNZsZiq82UqrSGKvAo4j9KeM";

    public static void main(String[] args) {
        setPushApp();
    }
    /**
     * 消息推送(单推)
     */
    public static void setPushApp() {
        //消息推送（>>>）
        XingeApp xingeApp = new XingeApp(appId, secretKey);
        /**
         * https://xg.qq.com/docs/server_api/v3/push_api_v3.html#message%EF%BC%9A%E6%B6%88%E6%81%AF%E4%BD%93
         */
        Message message = new Message();
        message.setTitle("信鸽测试");
        message.setContent("测试信鸽推送" + System.currentTimeMillis());
        //推送请求信息
        PushAppRequest pushAppRequest = new PushAppRequest();
        //消息体
        pushAppRequest.setMessage(message);
        /**
         * 消息类型
         1）notify：通知
         2）message：透传消息/静默消息
         */
        pushAppRequest.setMessage_type(MessageType.message);
        /**
         * 推送目标
         1）all：全量推送
         2）tag：标签推送
         3）token：单设备推送
         4）token_list：设备列表推送
         5）account：单账号推送
         6）account_list：账号列表推送
         */
        pushAppRequest.setAudience_type(AudienceType.token);
        /**
         * 客户端平台类型
         1）android：安卓
         2）ios：苹果
         */
        pushAppRequest.setPlatform(Platform.android);
        //账号
        ArrayList<String> account_list = new ArrayList<>();
        account_list.add(token);
        //推送账号
        //pushAppRequest.setAccount_list(account_list);
        pushAppRequest.setToken_list(account_list);
        //打印下推送数据
        System.out.println(pushAppRequest.toString());
        //推送结果 0是推送成功


        System.out.println(xingeApp.pushApp(pushAppRequest.toString()));
    }
}
