package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.Menu;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：menu
 * @since 2019-12-01 15:46:21
 */
@MyBatisMapper
public interface MenuMapper extends BaseMapper<Menu> {

	/**
	 * @description 通过角色id获取菜单列表
	 * @date 2019/11/27 10:03 AM
	 * @param roleId 角色id
	 * @return
	 */
    List<Menu> getByRoleId(Long roleId);
}