package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.model.LiftCertificate;
import cn.com.ty.lift.system.user.dao.entity.model.ProjectUser;

import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description 项目处理
 */
public interface IProjectService {

    /**
     * @description 判断用户是否能踢出团队
     * @date 2019-12-17 09:20
     * @param projectUser userId:用户id,companyId:公司id
     * @return
     */
    Map<String, String> judgeKickOutTeam(ProjectUser projectUser);

    /**
     * @description 获取用户电梯操作证信息
     * @date 2019-12-17 15:42
     * @param
     * @return
     */
    List<LiftCertificate> getLiftCertificateList(ProjectUser projectUser);

}
