package cn.com.ty.portal.service;

import cn.com.ty.portal.controller.dto.RoleListModel;
import cn.com.ty.portal.dao.mapper.RoleMenuMapper;
import cn.com.ty.portal.service.model.RoleMenuModel;
import cn.com.xwy.boot.service.impl.BaseServiceImpl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: TODO
 * @Author xwy
 * @create 2019/11/12
 */
@Service
public class RoleMenuService extends BaseServiceImpl {
    @Autowired
    private RoleMenuMapper mapper;

    public IPage<RoleMenuModel> queryMenuByRole(RoleListModel model){
        IPage page = this.getPage(model);
        List<RoleMenuModel> roleMenuModels = mapper.queryMenuByRole(page, model.getRoleCode());
        page.setRecords(roleMenuModels);
        return page;
    }
}
