package cn.com.ty.lift.system.user.dao.entity.model;

import cn.com.ty.lift.system.user.dao.entity.Menu;
import cn.com.ty.lift.system.user.dao.entity.Role;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 用户响应类
 */
@Data
public class UserResponse {
    private Long userId;//用户id
    private String mobile;//用户手机号
    private String name;//用户昵称
    private Date createTime;//创建时间/注册时间
    private String token;//验证token
    private List<MtCompanyUserResponse> companyList;//用户所在团队信息集合
    private List<Menu> menus;//用户菜单
    private MtCompanyUserResponse mtCompanyUserResponse;//用户当前团队信息
    private Role role;//用户角色
}
